<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<script setup lang="ts">
import { ref, computed } from 'vue';
import { useI18n } from 'vue-i18n';
import { storeToRefs } from 'pinia';
import Sidebar from '@/components/general/Sidebar.vue';
import { usePreviewStore } from '@/stores/preview';
import Comment from '@/components/preview/shared/Comment.vue';

const { t } = useI18n();
const $t = t; 

const store = usePreviewStore();
const { data, postIndex, columnIndex, style } = storeToRefs(store);

const comments = ref();
const setComments = ()=>{
    if(columnIndex.value>-1)
        comments.value = data.value[columnIndex.value].posts[postIndex.value].comments;
    else
        comments.value = data.value[postIndex.value].comments;
}
setComments();



const emits = defineEmits<{
    (e: 'close'):void
}>();

const close = ()=>{
    emits('close');
}

const header = computed(()=> {return comments.value.length === 0 || comments.value.length >1 ? comments.value.length + " " + $t('contentPage.media.label.pl'): $t('contentPage.media.label.sg')});

</script>
<template>
<Sidebar :header="header" @cancel="close" :font="style?.font?style.font:''" width="w-[350px]">
    <div class="overflow-auto flex flex-col gap-2" :class="['scroll-view-no-comment']">
        <Comment :key="comment.id" :comment="comment" :commentIndex="commentIndex" :commentsCount="comments.length" v-for="comment,commentIndex in comments"/>
    </div>
</Sidebar>
</template>
<style scoped>
.scroll-view-no-comment{
    max-height: calc(100dvh - 90px - 40px)!important;
    height: calc(100dvh - 90px - 40px)!important;
}

.padding-small-left{
    padding-left:10px;
}

</style>